Get App
curl --request GET \
--url https://api.example.com/api/apps/beta/apps/{appId} \
--header 'X-Domino-Api-Key: <api-key>'{
"accessStatuses": [
{
"userId": "<string>"
}
],
"configurationType": "STANDARD",
"discoverable": true,
"entryPoint": "<string>",
"id": "<string>",
"mountDatasets": true,
"name": "<string>",
"project": {
"id": "<string>",
"name": "<string>",
"ownerId": "<string>",
"ownerUsername": "<string>"
},
"renderIFrame": true,
"url": "<string>",
"views": 123,
"currentVersion": {
"createdAt": 123,
"environmentId": "<string>",
"environmentRevisionId": "<string>",
"extendedIdentityPropagationToAppsEnabled": true,
"externalVolumeMountIds": [
"<string>"
],
"hardwareTierId": "<string>",
"id": "<string>",
"netAppVolumeIds": [
"<string>"
],
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"updatedAt": 123,
"autoscalingSpecification": {
"enabled": true,
"maxReplicas": 15,
"minReplicas": 15,
"scaleDownStabilizationWindowSeconds": 1800,
"scaleUpStabilizationWindowSeconds": 1800,
"targetCpuAvgUtilizationPct": 50,
"targetMemoryAvgUtilizationPct": 50,
"useSessionAffinity": true
},
"bundleId": "<string>",
"bundleName": "<string>",
"currentInstance": {
"createdAt": 123,
"id": "<string>",
"status": "<string>",
"describeUrl": "<string>",
"dfsCommitId": "<string>",
"gitCommitId": "<string>"
},
"description": "<string>",
"dfsCommitId": "<string>",
"entryScript": "<string>",
"gitRef": {
"value": "<string>"
},
"publisher": {
"id": "<string>",
"name": "<string>"
},
"resolvedCommits": {
"dfsCommitId": "<string>",
"gitCommitId": "<string>",
"importedGitRepos": [
{
"ref": "<string>",
"repoId": "<string>",
"repoName": "<string>"
}
],
"importedProjects": [
{
"commitId": "<string>",
"directoryName": "<string>",
"ownerId": "<string>",
"projectId": "<string>",
"projectName": "<string>",
"release": "<string>"
}
]
},
"vanityUrl": "<string>",
"versionNumber": 123
},
"customFields": [
{
"fields": [
{
"customFieldId": "<string>",
"customFieldLabel": "<string>",
"updatedAt": 123,
"updatedBy": {
"userId": "<string>",
"username": "<string>"
},
"value": "<string>"
}
],
"groupName": "<string>"
}
],
"description": "<string>",
"publisher": {
"id": "<string>",
"name": "<string>"
},
"taxonomyTags": [
{
"id": "<string>",
"label": "<string>",
"namespaceId": "<string>",
"description": "<string>",
"fullPath": [
"<string>"
],
"namespaceLabel": "<string>"
}
],
"thumbnailEtag": "<string>",
"updatedAt": 123,
"vanityUrl": "<string>"
}Apps
Get App
Retrieve an App
GET
/
api
/
apps
/
beta
/
apps
/
{appId}
Get App
curl --request GET \
--url https://api.example.com/api/apps/beta/apps/{appId} \
--header 'X-Domino-Api-Key: <api-key>'{
"accessStatuses": [
{
"userId": "<string>"
}
],
"configurationType": "STANDARD",
"discoverable": true,
"entryPoint": "<string>",
"id": "<string>",
"mountDatasets": true,
"name": "<string>",
"project": {
"id": "<string>",
"name": "<string>",
"ownerId": "<string>",
"ownerUsername": "<string>"
},
"renderIFrame": true,
"url": "<string>",
"views": 123,
"currentVersion": {
"createdAt": 123,
"environmentId": "<string>",
"environmentRevisionId": "<string>",
"extendedIdentityPropagationToAppsEnabled": true,
"externalVolumeMountIds": [
"<string>"
],
"hardwareTierId": "<string>",
"id": "<string>",
"netAppVolumeIds": [
"<string>"
],
"tags": [
{
"key": "<string>",
"value": "<string>"
}
],
"updatedAt": 123,
"autoscalingSpecification": {
"enabled": true,
"maxReplicas": 15,
"minReplicas": 15,
"scaleDownStabilizationWindowSeconds": 1800,
"scaleUpStabilizationWindowSeconds": 1800,
"targetCpuAvgUtilizationPct": 50,
"targetMemoryAvgUtilizationPct": 50,
"useSessionAffinity": true
},
"bundleId": "<string>",
"bundleName": "<string>",
"currentInstance": {
"createdAt": 123,
"id": "<string>",
"status": "<string>",
"describeUrl": "<string>",
"dfsCommitId": "<string>",
"gitCommitId": "<string>"
},
"description": "<string>",
"dfsCommitId": "<string>",
"entryScript": "<string>",
"gitRef": {
"value": "<string>"
},
"publisher": {
"id": "<string>",
"name": "<string>"
},
"resolvedCommits": {
"dfsCommitId": "<string>",
"gitCommitId": "<string>",
"importedGitRepos": [
{
"ref": "<string>",
"repoId": "<string>",
"repoName": "<string>"
}
],
"importedProjects": [
{
"commitId": "<string>",
"directoryName": "<string>",
"ownerId": "<string>",
"projectId": "<string>",
"projectName": "<string>",
"release": "<string>"
}
]
},
"vanityUrl": "<string>",
"versionNumber": 123
},
"customFields": [
{
"fields": [
{
"customFieldId": "<string>",
"customFieldLabel": "<string>",
"updatedAt": 123,
"updatedBy": {
"userId": "<string>",
"username": "<string>"
},
"value": "<string>"
}
],
"groupName": "<string>"
}
],
"description": "<string>",
"publisher": {
"id": "<string>",
"name": "<string>"
},
"taxonomyTags": [
{
"id": "<string>",
"label": "<string>",
"namespaceId": "<string>",
"description": "<string>",
"fullPath": [
"<string>"
],
"namespaceLabel": "<string>"
}
],
"thumbnailEtag": "<string>",
"updatedAt": 123,
"vanityUrl": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
The id of the app to retrieve.
Response
Success
Show child attributes
Show child attributes
Type of configuration for the app which determines different deployment resources and settings.
Available options:
STANDARD, AISYSTEM Show child attributes
Show child attributes
Available options:
AUTHENTICATED, GRANT_BASED, GRANT_BASED_STRICT, PUBLIC Show child attributes
Show child attributes
Custom field values assigned to this app, grouped by group name.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Taxonomy tags assigned to this app. Omitted when the taxonomy feature is disabled.
Show child attributes
Show child attributes
Was this page helpful?
⌘I